from distutils.core import setup

# py2exe stuff
import py2exe, os
# find pythoncard resources, to add as 'data_files'
pycard_resources=['mrc.ico']
for filename in os.listdir('.'):
    if filename.find('.rsrc.')>-1:
        pycard_resources+=[filename]

# includes for py2exe
includes=[]
for comp in ['button','image','staticbox',\
            'statictext','textarea','textfield','passwordfield']:
    includes += ['PythonCard.components.'+comp]
print 'includes',includes

opts = { 'py2exe': { 'includes':includes, "compressed": 1, "optimize": 2, "bundle_files": 1, "dll_excludes": ["MSVCP90.dll"] } }
print 'opts',opts
# end of py2exe stuff

setup(name='mrc',
    version='0.19',
    url='http://www.telemedia.ch/publ/myth-telnet.html',
    author='Christoph Schneeberger',
    author_email='mrc@telemedia.ch',
    package_dir={'mrc':'.'},
    packages=['mrc'],
    data_files=[('.',pycard_resources)],
    windows=[{"script": 'mrc.py', "icon_resources": [(1, "mrc.ico")]}],
    options=opts
    )